Upstream information

CVE-2018-1288 at MITRE

Description

In Apache Kafka 0.9.0.0 to 0.9.0.1, 0.10.0.0 to 0.10.2.1, 0.11.0.0 to 0.11.0.2, and 1.0.0, authenticated Kafka users may perform action reserved for the Broker via a manually created fetch request interfering with data replication, resulting in data loss.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.5
Vector AV:N/AC:L/Au:S/C:N/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact None
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.4 8.1
Vector AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:L/A:L AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:H
Access Vector Network Network
Access Complexity Low Low
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact Low High
Availability Impact Low High
SUSE Bugzilla entry: 1102920 [VERIFIED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE OpenStack Cloud 7
  • grafana >= 4.5.1-1.8.1
  • kafka >= 0.10.2.2-5.1
  • logstash >= 2.4.1-5.1
  • monasca-installer >= 20180608_12.47-9.1
Patchnames:
SUSE-OpenStack-Cloud-7-2018-1771

List of packages in QA

Product(s) Package(s)
HPE Helion Openstack 8
  • ardana-monasca >= 8.0+git.1535031421.9262a47-3.12.1
  • ardana-spark >= 8.0+git.1534267176.a5f3a22-3.6.1
  • kafka >= 0.10.2.2-5.6.1
  • openstack-monasca-api >= 2.2.1~dev24-3.6.1
  • python-monasca-api >= 2.2.1~dev24-3.6.1
SUSE OpenStack Cloud 8
  • ardana-monasca >= 8.0+git.1535031421.9262a47-3.12.1
  • ardana-spark >= 8.0+git.1534267176.a5f3a22-3.6.1
  • kafka >= 0.10.2.2-5.6.1
  • openstack-monasca-api >= 2.2.1~dev24-3.6.1
  • python-monasca-api >= 2.2.1~dev24-3.6.1
SUSE OpenStack Cloud Crowbar 8
  • kafka >= 0.10.2.2-5.6.1
  • openstack-monasca-api >= 2.2.1~dev24-3.6.1
  • python-monasca-api >= 2.2.1~dev24-3.6.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 kafka In progress
SUSE Openstack Cloud 7 kafka Released
SUSE Openstack Cloud 8 kafka In progress